src/main/java/com/helpdesk/capacitacionjava/dto/ReporteDiarioDTO.java
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.helpdesk.capacitacionjava.dto;

/**
 *
 * @author Programacion
 */
public class ReporteDiarioDTO {
    private Double unidades;
    private String nombre;
    private Double total;
    
    public ReporteDiarioDTO(){}

    public ReporteDiarioDTO(Double unidades, String nombre, Double total) {
        this.unidades = unidades;
        this.nombre = nombre;
        this.total = total;
    }

    public Double getUnidades() {
        return unidades;
    }

    public String getNombre() {
        return nombre;
    }

    public Double getTotal() {
        return total;
    }
    
}

src/main/java/com/helpdesk/capacitacionjava/controladores/BitacoraBean.java
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.helpdesk.capacitacionjava.controladores;

import com.helpdesk.capacitacionjava.controladores.*;
import com.helpdesk.capacitacionjava.modelos.Bitacora;
import com.helpdesk.capacitacionjava.servicios.BitacoraService;
import java.io.Serializable;
import java.util.List;
import javax.annotation.PostConstruct;
import javax.ejb.EJB;
import javax.faces.application.FacesMessage;
import javax.faces.bean.RequestScoped;
import javax.faces.context.FacesContext;
import javax.inject.Named;
import javax.faces.view.ViewScoped;
import lombok.Getter;
import lombok.Setter;
import org.primefaces.context.RequestContext;

/**
 *
 * @author David Ramirez
 */
@Getter
@Setter
@Named(value = "bitacoraBean")
@ViewScoped
public class BitacoraBean implements Serializable {

    /**
     * Creates a new instance of Bitacora
     */
    public BitacoraBean() {
    }
    
    private Bitacora bita;
    private List<Bitacora> todosLosEstados;
    /*sirve para instanciar en ina sola clase*/
    @EJB
    private BitacoraService bitacoraService;

    /*Cargara los objetos antes que lleguen a la vista*/
    @PostConstruct
    public void initBit() {
        bita = new Bitacora();
        todosLosEstados = bitacoraService.listaBitacora();
    }

    public void guardarBitacura() {
        FacesContext context = FacesContext.getCurrentInstance();
        RequestContext requestContext = RequestContext.getCurrentInstance();
        if (bita.getBitaId() == null) {
            bitacoraService.guardarBitacora(bita);
            bita = new Bitacora();
            context.addMessage(null, new FacesMessage(FacesMessage.SEVERITY_INFO, "Bitacora Guardado", "Nuevo"));
        } else {
            bitacoraService.actualizarBitacora(bita);
            context.addMessage(null, new FacesMessage(FacesMessage.SEVERITY_WARN, "Bitacora Actualizado", "Actualizar"));
            requestContext.execute("PF('dlg_editar_bitacora').hide();");
        }
    }
    
    public void verBitacora(Bitacora bita) {
        this.bita = bita;
    }
    
    public void eliminarBitacora() {
        FacesContext context = FacesContext.getCurrentInstance();
        if (bita.getBitaId()!= 0) {
            bitacoraService.eleminarBitacora(bita);
            bita = new Bitacora();
            context.addMessage(null, new FacesMessage(FacesMessage.SEVERITY_FATAL, "Bitacora Eliminado", "Eliminar"));
        }

    }

    public void limpiarDialogo() {
        bita = new Bitacora();
    }
    public List<Bitacora> bitacoraslist(){
        return bitacoraService.listaBitacora();
    } 

}

src/main/java/com/helpdesk/capacitacionjava/controladores/RolesBean.java
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.helpdesk.capacitacionjava.controladores;


import com.helpdesk.capacitacionjava.modelos.Roles;

import com.helpdesk.capacitacionjava.servicios.RolesService;
import java.io.Serializable;
import java.util.List;

import javax.ejb.EJB;
import javax.faces.view.ViewScoped;
import javax.inject.Named;
import lombok.Getter;
import lombok.Setter;

/**
 *
 * @author David Ramirez
 */
@Getter
@Setter
@Named(value = "rolesBean")
@ViewScoped
public class RolesBean implements Serializable {

    @EJB
    private RolesService rolesService;
    
    public List<Roles> roleslist() {
        return rolesService.listaRoles();
    }
}

src/main/java/com/helpdesk/capacitacionjava/controladores/UsuarioBean.java
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.helpdesk.capacitacionjava.controladores;


import com.helpdesk.capacitacionjava.modelos.Roles;
import com.helpdesk.capacitacionjava.modelos.Usuarios;
import com.helpdesk.capacitacionjava.servicios.RolesService;
import com.helpdesk.capacitacionjava.servicios.UsuarioService;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import javax.annotation.PostConstruct;
import javax.ejb.EJB;
import javax.faces.application.FacesMessage;
import javax.faces.context.FacesContext;
import javax.faces.view.ViewScoped;
import javax.inject.Named;
import lombok.Getter;
import lombok.Setter;
import org.primefaces.context.RequestContext;

/**
 *
 * @author David Ramirez
 */
@Getter
@Setter
@Named(value = "usuarioBean")
@ViewScoped
public class UsuarioBean implements Serializable {

    public UsuarioBean() {
    }

    private Usuarios usur;
    private List<Usuarios> todosLosEstados;

    private List<Roles> todoLosRoles;
    private Roles rol;

    @EJB
    private UsuarioService usuarioService;

    @EJB
    private RolesService rolesService;

    @PostConstruct
    public void initUsur() {
        /*usur = objeto instancia el modelo Usuarios */
        usur = new Usuarios();
        rol = new Roles();
        usur.setRoles(rol);
        todoLosRoles = new ArrayList<>();
        todosLosEstados = usuarioService.listaUsuarios();
    }

    public void guardarUsuario() {
        /*Para poder verificar en que parte del sistema se esta*/
        FacesContext context = FacesContext.getCurrentInstance();
        RequestContext requestContext = RequestContext.getCurrentInstance();
        if (usur.getIdUsuario() == null) {
            usuarioService.guardarUsuario(usur);
            limpiarDialogo();
            context.addMessage(null, new FacesMessage(FacesMessage.SEVERITY_INFO, "Usuario Guardado", "Nuevo"));
        } else {
            usuarioService.editarUsuario(usur);
            limpiarDialogo();
            context.addMessage(null, new FacesMessage(FacesMessage.SEVERITY_WARN, "Usuario Actualizado", "Actualizar"));
            requestContext.execute("PF('dlg_editar_usuario').hide();");
        }
    }

    public void verUsuario(Usuarios usur) {
        this.usur = usur;
    }

    public void eliminarUsuario() {
        FacesContext context = FacesContext.getCurrentInstance();
        if (usur.getIdUsuario() != 0) {
            usuarioService.eliminarUsuario(usur);
            limpiarDialogo();
            context.addMessage(null, new FacesMessage(FacesMessage.SEVERITY_FATAL, "Usuario Eliminado", "Eliminar"));
        }
    }

    public void limpiarDialogo() {
        usur = new Usuarios();
        rol = new Roles();
        usur.setRoles(rol);
    }

    public List<Usuarios> usuarioslist() {
        return usuarioService.listaUsuarios();
    }

    public List<Roles> getRolesList() {
        return todoLosRoles = rolesService.listaRoles();
    }
}

src/main/webapp/Bitacora.xhtml
<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
    <h:head>
        <title>Mi cafecito</title>
    </h:head>
    <h:body>

        <h:form >
            <p:tabMenu >
                <p:menuitem  >
                    <f:param name="i" value="1" />
                    <h:link value = "Inicio" outcome = "/index" ></h:link>
                </p:menuitem>
            </p:tabMenu>
        </h:form>

        <h:form id="bitaas"> 
            <p:growl id="estadoG" />

            <p:panelGrid columns="2">
                <p:column colspan="1"><p:outputLabel value="Tipo de Bitacora"/></p:column>
                <p:column colspan="1"> 
                    <!--Nombre controladr.objeto de la entidad.campo-->
                    <p:inputText value="#{bitacoraBean.bita.bitaTipo}">
                    </p:inputText> 
                </p:column> 

                <p:column colspan="1"><p:outputLabel value="Nombre de Usuario"/></p:column>
                <p:column colspan="1"> 
                    <!--Nombre controladr.objeto de la entidad.campo-->
                    <p:inputText value="#{bitacoraBean.bita.bitaUsuario}">
                    </p:inputText> 
                </p:column> 

                <p:column colspan="1"><p:outputLabel value="Fecha"/></p:column>
                <p:column colspan="1"> 
                    <!--Nombre controladr.objeto de la entidad.campo-->
                    <p:calendar value="#{bitacoraBean.bita.bitaFecha}">
                    </p:calendar>
                </p:column> 

                <p:column colspan="1"><p:outputLabel value="Nombre de Nombre Tabla"/></p:column>
                <p:column colspan="1"> 
                    <!--Nombre controladr.objeto de la entidad.campo-->
                    <p:inputText value="#{bitacoraBean.bita.bitaTabla}">
                    </p:inputText>
                </p:column> 

                <p:column colspan="4"   >
                    <p:commandButton id="button" style="margin-left:378px; width: 150px;"                                                                                                 
                                     update="@form"
                                     actionListener="#{bitacoraBean.guardarBitacura()}"
                                     value="Aceptar"/>
                </p:column>
            </p:panelGrid>
            <!--SEGUNDA PARTE-->
            <p:dataTable var="bitacora"
                         id="table_bitacora"
                         sortOrder="descending"
                         value="#{bitacoraBean.bitacoraslist()}"
                         rows="10" paginator="true"
                         paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
                         rowsPerPageTemplate="5,10,15"
                         emptyMessage="No se encuentran datos">

                <p:column filterBy="#{bitacora.bitaTipo}" headerText="Tipo de Bitacora" 
                          filterMatchMode="contains"   class="col-md-3 col-lg-3" sortBy="#{bitacora.bitaTipo}" >
                    <h:outputText value="#{bitacora.bitaTipo}"></h:outputText>                                                    
                </p:column>

                <p:column filterBy="#{bitacora.bitaUsuario}" headerText="Usuario" 
                          filterMatchMode="contains" class="col-md-6" sortBy="#{bitacora.bitaUsuario}">
                    <h:outputText value="#{bitacora.bitaUsuario}"></h:outputText>

                </p:column>
                
                <p:column filterBy="#{bitacora.bitaFecha}" headerText="Fecha de creacion" 
                          filterMatchMode="contains" class="col-md-6" sortBy="#{bitacora.bitaFecha}">
                    <h:outputText value="#{bitacora.bitaFecha}"></h:outputText>
                </p:column>
                
                <p:column headerText="Tabla" 
                          filterMatchMode="contains" class="col-md-6" sortBy="#{bitacora.bitaTabla}">
                    <h:outputText value="#{bitacora.bitaTabla}"></h:outputText>
                </p:column>

                <p:column headerText="Acciones" >
                    <p:commandButton icon="fa fa-pencil" id="editar"
                                     actionListener="#{bitacoraBean.verBitacora(bitacora)}"
                                     update=":form_editar_bitacora  " 
                                     oncomplete="PF('dlg_editar_bitacora').show();"/>
                    <p:tooltip for="editar" value="Editar" />
                    <p:commandButton icon="fa fa-trash" id="eliminar"
                                     style="color: red !important;"
                                     onclick="PF('dgEliminar').show();">
                        <f:setPropertyActionListener value="#{bitacora}"
                                                     target="#{bitacoraBean.bita}" />
                    </p:commandButton>
                    <p:tooltip for="eliminar" value="Eliminar"  />
                </p:column>
            </p:dataTable>
            <p:confirmDialog closable="false"
                             message="Desea eliminar el registro?" widgetVar="dgEliminar"
                             showEffect="fade" hideEffect="fade">
                <p:commandButton value="si"
                                 actionListener="#{bitacoraBean.eliminarBitacora()}"
                                 update=":bitaas:table_bitacora" icon="ui-icon-check"
                                 oncomplete="PF('dgEliminar').hide();" />
                <p:commandButton value="No" icon="ui-icon-close"
                                 oncomplete="PF('dgEliminar').hide();"
                                 actionListener="#{bitacoraBean.limpiarDialogo()}" />
            </p:confirmDialog>
        </h:form>
        <!--EDITAR-->
        <p:dialog id="dlg_editar_bitacora"  width="700" height="200" header="Editar bitacora" widgetVar="dlg_editar_bitacora" modal="true" 
                  position="center center" onShow="PF('dlg_editar_bitacora').initPosition()">
            <h:form id="form_editar_bitacora">

                <p:growl id="editarBitacora" />

                <p:panelGrid id="pgbitacora" columns="2">
                    <p:column colspan="1">
                        <p:outputLabel value="Tipo Bitacora" />
                    </p:column>
                    <p:column colspan="1">
                        <p:inputText value="#{bitacoraBean.bita.bitaTipo}"/>                        
                    </p:column>
                    <p:column colspan="1">
                        <p:outputLabel value="Usuario" />
                    </p:column>
                    <p:column colspan="1">
                        <p:inputText value="#{bitacoraBean.bita.bitaUsuario}" />    
                    </p:column>
                    <p:column colspan="1">
                        <p:outputLabel value="Fecha" />
                    </p:column>
                    <p:column colspan="1">
                        <p:calendar value="#{bitacoraBean.bita.bitaFecha}">
                        </p:calendar>
                    </p:column>
                    <p:column colspan="1">
                        <p:outputLabel value="Tabla" />
                    </p:column>
                    <p:column colspan="1">
                        <p:inputText value="#{bitacoraBean.bita.bitaTabla}" />    
                    </p:column>
                    <p:column colspan="4">
                        <p:commandButton
                            actionListener="#{bitacoraBean.guardarBitacura()}"
                            update="@form"
                            value="Guardar" />
                        </p:column>
                </p:panelGrid>
            </h:form>
        </p:dialog>

    </h:body>


</html>

src/main/webapp/Usuario.xhtml
<?xml version="1.0" encoding="windows-1252"?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:c="http://xmlns.jcp.org/jsp/jstl/core">
    <h:head>
        <title>Usuarios</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    </h:head>
    <h:body>
        <h:form >
            <p:tabMenu >
                <p:menuitem >
                    <f:param name="i" value="1" />
                    <h:link value = "Inicio" outcome = "/index"></h:link>
                </p:menuitem>
            </p:tabMenu>

        </h:form>
        <h:form id="usurr">
            <p:growl id="estadoG" />

            <p:panelGrid columns="2">
                <p:column colspan="1"><p:outputLabel value="Contraseņa"/></p:column>
                <p:column colspan="1"> 
                    <!--Nombre controladr.objeto de la entidad.campo-->
                    <p:inputText value="#{usuarioBean.usur.usuarioContrasenia}">
                    </p:inputText> 
                </p:column> 

                <p:column colspan="1"><p:outputLabel value="Correo"/></p:column>
                <p:column colspan="1"> 
                    <!--Nombre controladr.objeto de la entidad.campo-->
                    <p:inputText value="#{usuarioBean.usur.usuarioCorreo}">
                    </p:inputText> 
                </p:column> 

                <p:column colspan="1"><p:outputLabel value="Estado"/></p:column>
                <p:column colspan="1"> 
                    <!--Nombre controladr.objeto de la entidad.campo-->
                    <p:selectBooleanCheckbox value="#{usuarioBean.usur.usuarioEstado}" />
                </p:column> 

                <p:column colspan="1"><p:outputLabel value="Fecha"/></p:column>
                <p:column colspan="1"> 
                    <!--Nombre controladr.objeto de la entidad.campo-->
                    <p:calendar value="#{usuarioBean.usur.usuarioFecha}">
                    </p:calendar>
                </p:column>

                <p:column colspan="1"><p:outputLabel value="Nombre"/></p:column>
                <p:column colspan="1"> 
                    <!--Nombre controladr.objeto de la entidad.campo-->
                    <p:inputText value="#{usuarioBean.usur.usuarioNombre}">
                    </p:inputText>
                </p:column> 

                <p:column colspan="1"><p:outputLabel value="Telefono"/></p:column>
                <p:column colspan="1"> 
                    <!--Nombre controladr.objeto de la entidad.campo-->
                    <p:inputText value="#{usuarioBean.usur.usuarioTelefono}">
                    </p:inputText>
                </p:column> 

                <p:column colspan="1" ><p:outputLabel value="Rol"/></p:column>
                <p:column colspan="1" >   
                    <p:selectOneMenu  value="#{usuarioBean.usur.roles.rolId}" 
                                      requiredMessage="Seleccione un Rol!"
                                      style="width: 90%; " converter="omnifaces.SelectItemsConverter" >

                        <f:selectItem itemLabel="Seleccione una rol" />
                        <f:selectItems value="#{usuarioBean.rolesList}" var="rol" itemLabel="#{rol.rolNombre}" itemValue="#{rol.rolId}" />
                        <p:ajax event="itemSelect" />
                    </p:selectOneMenu>
                </p:column>

                <p:column colspan="4"   >
                    <p:commandButton id="button" style="margin-left:378px; width: 150px;"                                                                                                 
                                     update="@form"
                                     actionListener="#{usuarioBean.guardarUsuario()}"
                                     value="Aceptar"/>
                </p:column>
            </p:panelGrid>

            <!--SEGUNDA PARTE-->
            <p:dataTable var="usuario"
                         id="table_usuario"
                         sortOrder="descending"
                         value="#{usuarioBean.usuarioslist()}"
                         rows="10" paginator="true"
                         paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
                         rowsPerPageTemplate="5,10,15"
                         emptyMessage="No se encuentran datos">


                <p:column filterBy="#{usuario.usuarioNombre}" headerText="Nombre" 
                          filterMatchMode="contains" class="col-md-6" sortBy="#{usuario.usuarioNombre}">
                    <h:outputText value="#{usuario.usuarioNombre}"></h:outputText>
                </p:column>

                <p:column headerText="Correo" 
                          filterMatchMode="contains" class="col-md-6">
                    <h:outputText value="#{usuario.usuarioCorreo}"></h:outputText>
                </p:column>

                <p:column  headerText="Estado" 
                          filterMatchMode="contains" class="col-md-6" sortBy="#{usuario.usuarioEstado}">
                    <!---->
                    <h:outputText rendered="#{usuario.usuarioEstado == true}" value="Activo"/>
                    <h:outputText rendered="#{usuario.usuarioEstado == false}" value="Inactivo"/>
                    
                </p:column>

                <p:column filterBy="#{usuario.usuarioFecha}" headerText="Fecha" 
                          filterMatchMode="contains" class="col-md-6" sortBy="#{usuario.usuarioFecha}">
                    <h:outputText value="#{usuario.usuarioFecha}"></h:outputText>
                </p:column>

                <p:column headerText="Telefono" 
                          filterMatchMode="contains" class="col-md-6" >
                    <h:outputText value="#{usuario.usuarioTelefono}"></h:outputText>
                </p:column>

                <p:column headerText="Rol" 
                          filterMatchMode="contains" class="col-md-6">
                    <h:outputText value="#{usuario.roles.rolNombre}"></h:outputText>
                </p:column>
                <p:column headerText="Acciones" >
                    <p:commandButton  icon = "ui-icon-edit" id="editar"
                                      actionListener="#{usuarioBean.verUsuario(usuario)}"
                                      update=":form_editar_usuario  " 
                                      oncomplete="PF('dlg_editar_usuario').show();"/>
                    <p:tooltip for="editar" value="Editar" />
                    <p:commandButton icon = "fa fa-trash" id="eliminar" style="color: red !important;"
                                     onclick="PF('dgEliminar').show();">
                        <f:setPropertyActionListener value="#{usuario}"
                                                     target="#{usuarioBean.usur}"/>
                    </p:commandButton>
                    <p:tooltip for="eliminar" value="Eliminar"/>
                </p:column>
            </p:dataTable>
            <p:confirmDialog closable="false"
                             message="Desea eliminar el registro?" widgetVar="dgEliminar"
                             showEffect="fade" hideEffect="fade">
                <p:commandButton value="si"
                                 actionListener="#{usuarioBean.eliminarUsuario()}"
                                 update=":usurr:table_usuario" 
                                 icon="ui-icon-check"
                                 oncomplete="PF('dgEliminar').hide();" />
                <p:commandButton value="No" icon="ui-icon-close"
                                 oncomplete="PF('dgEliminar').hide();"
                                 actionListener="#{usuarioBean.limpiarDialogo()}" />
            </p:confirmDialog>
        </h:form>
        <!--EDITAR-->
        <p:dialog id="dlg_editar_usuario"  width="700" height="200" header="Editar usuario" widgetVar="dlg_editar_usuario" modal="true" 
                  position="center center" onShow="PF('dlg_editar_usuario').initPosition()">
            <h:form id="form_editar_usuario">

                <p:growl id="editarUsuario" />

                <p:panelGrid id="pgusuario" columns="2">
                    <p:column colspan="1">
                        <p:outputLabel value="Contraseņa" />
                    </p:column>
                    <p:column colspan="1">
                        <p:inputText value="#{usuarioBean.usur.usuarioContrasenia}"/>                        
                    </p:column>
                    <p:column colspan="1">
                        <p:outputLabel value="Correo" />
                    </p:column>
                    <p:column colspan="1">
                        <p:inputText value="#{usuarioBean.usur.usuarioCorreo}" />    
                    </p:column>
                    <p:column colspan="1">
                        <p:outputLabel value="Estado" />
                    </p:column>
                    <p:column colspan="1"> 
                        <!--Nombre controladr.objeto de la entidad.campo-->
                        <p:selectBooleanCheckbox value="#{usuarioBean.usur.usuarioEstado}" />
                    </p:column>
                    <p:column colspan="1">
                        <p:outputLabel value="Fecha" />
                    </p:column>
                    <p:column colspan="1">
                        <p:calendar value="#{usuarioBean.usur.usuarioFecha}">
                        </p:calendar>
                    </p:column>
                    <p:column colspan="1">
                        <p:outputLabel value="Nombre" />
                    </p:column>
                    <p:column colspan="1">
                        <p:inputText value="#{usuarioBean.usur.usuarioNombre}" />    
                    </p:column>
                    <p:column colspan="1">
                        <p:outputLabel value="Telefono" />
                    </p:column>
                    <p:column colspan="1">
                        <p:inputText value="#{usuarioBean.usur.usuarioTelefono}" />    
                    </p:column>
                    <p:column colspan="1" ><p:outputLabel value="Rol"/></p:column>
                    <p:column colspan="1" >   
                        <p:selectOneMenu  value="#{usuarioBean.usur.roles.rolId}" 
                                          requiredMessage="Seleccione un Rol!"
                                          style="width: 90%; " converter="omnifaces.SelectItemsConverter" >

                            <f:selectItem itemLabel="Seleccione una rol" />
                            <f:selectItems value="#{usuarioBean.rolesList}" var="rol" itemLabel="#{rol.rolNombre}" itemValue="#{rol.rolId}" />
                            <p:ajax event="itemSelect" />
                        </p:selectOneMenu>
                    </p:column>
                    <p:column colspan="4">
                        <p:commandButton
                            actionListener="#{usuarioBean.guardarUsuario()}"
                            update="@form"
                            value="Guardar" />
                    </p:column>
                </p:panelGrid>
            </h:form>
        </p:dialog>
    </h:body>
</html>

src/main/webapp/index.xhtml
<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      >
    <h:head>
        <title>Mi cafecito</title>
    </h:head>
    <h:body>

        <h:form>

            <p:menuitem>
                <p:growl id="messages"/>
                <p:menubar>
                    <p:menuitem value="Inicio" outcome = "/index" />
                    <p:menuitem value="Bitacora" outcome = "/Bitacora" />
                    <p:menuitem value="" outcome = "/Bitacora" />
                    <p:submenu label="Configuraciones" >
                        <p:menuitem value="Usuarios" outcome = "/Usuario" />
                        <p:menuitem value="Otros" url="#" />
                    </p:submenu>
                    
                </p:menubar>
            </p:menuitem>


        </h:form>
        <h1>PRIMERA PRACTICA</h1>


    </h:body>
</html>

src/main/webapp/welcomePrimefaces.xhtml
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui">

    <f:view contentType="text/html">
        <h:head>
            <f:facet name="first">
                <meta content='text/html; charset=UTF-8' http-equiv="Content-Type"/>
                <title>PrimeFaces</title>
            </f:facet>
        </h:head>

        <h:body>

            <p:layout fullPage="true">

                <p:layoutUnit position="north" size="100" resizable="true" closable="true" collapsible="true">
                    Header
                </p:layoutUnit>

                <p:layoutUnit position="south" size="100" closable="true" collapsible="true">
                    Footer
                </p:layoutUnit>

                <p:layoutUnit position="west" size="175" header="Left" collapsible="true">
                    <p:menu>
                        <p:submenu label="Resources">
                            <p:menuitem value="Demo" url="http://www.primefaces.org/showcase-labs/ui/home.jsf" />
                            <p:menuitem value="Documentation" url="http://www.primefaces.org/documentation.html" />
                            <p:menuitem value="Forum" url="http://forum.primefaces.org/" />
                            <p:menuitem value="Themes" url="http://www.primefaces.org/themes.html" />

                        </p:submenu>

                    </p:menu>
                </p:layoutUnit>

                <p:layoutUnit position="center">
                    Welcome to PrimeFaces
                </p:layoutUnit>

            </p:layout>

        </h:body>

    </f:view>
</html>